﻿@if (Result != null)
{
<SfCard>
    <CardHeader Title="@ReportTitle" />

    <CardContent EnableSeparator="false">
        <span class="font-weight-bold">@ReportName</span> data for B 64 KWH
    </CardContent>

    <CardContent EnableSeparator="true">
        @if (Result.TravelDistance != 0)
        {
            <div class="row">
                <div class="col">Consumption</div>
                <div class="col">Distance</div>
                <div class="col">Avg. Speed</div>
                <div class="col">Temperature</div>
                <div class="col">Total energy</div>
            </div>
            <div class="row">
                <div class="col">@Result.TravelConsumption</div>
                <div class="col">@Result.TravelDistance</div>
                <div class="col">@Result.TravelAverageSpeed</div>
                <div class="col">@Result.TravelTemperature</div>
                <div class="col">@Result.TravelEnergyConsumed</div>
            </div>
        }
        else
        {
            <div class="row">
                <div class="col">No data to display!</div>
            </div>
        }
    </CardContent>
    <CardContent EnableSeparator="true">
        <span class="font-weight-bold">@ReportName</span> charges for B 64 KWH
    </CardContent>
    <CardContent EnableSeparator="true">
        <div class="row">
            <div class="col"></div>
            <div class="col"></div>
            <div class="col"></div>
            <div class="col"></div>
        </div>
        <div class="row">
            <div class="col"></div>
            <div class="col"></div>
            <div class="col"></div>
            <div class="col"></div>
        </div>
    </CardContent>
    <CardFooter>
        <CardFooterContent>
            <SfButton CssClass="float-left" @onclick="onPreviousClick" Content="@prevButtonContent" />
            <SfButton CssClass="float-right" @onclick="onNextClick" Content="@nextButtonContent" />
        </CardFooterContent>
    </CardFooter>
</SfCard>
}